Subject: [bfcpbis] Draft new version: draft-ietf-bfcpbis-rfc4583bis-25

From: Christer Holmberg <[email-masked]>
Date: Wed, 26 Sep 2018 10:19:28 +0000

Hi,

I have submitted a new version (-25) of 4583bis.

The new version contains the merged pull request that was created based on Adam's issues.

Regards,

Christer

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 26 Sep 2018 10:33:59 +0000

Thanks for submitting this updated version, Christer.
The changes are significant. I ask that everyone, not just Adam and those who commented on the changes, review the updated draft and share their confirmation of the changes and/or any remaining concerns.

Cheers,
Charles 

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Wednesday, September 26, 2018 at 12:19 PM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25
Resent-From: <[email-masked]>
Resent-To: Gonzalo Camarillo <[email-masked]>, <[email-masked]>, Christer Holmberg <[email-masked]>, Charles Eckel <[email-masked]>, Keith Drage <[email-masked]>, <[email-masked]>, Adam Roach <[email-masked]>, <[email-masked]>, Mary Barnes <[email-masked]>
Resent-Date: Wednesday, September 26, 2018 at 12:19 PM

    Hi,

    
    Regards,
    
    Christer

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 26 Sep 2018 11:01:26 +0000

As an individual, some editorial comments/typos.

Section 4, use of TCP/TLS/BFCP:
s/backward interoperability/backward interoperable

Section 4, use of TCP/DTLS/BFCP:
s/in [RFC4571]. with DTLS/in [RFC4571], with DTLS

Section 5.1,
OLD
An implementation compliant to this specification	
MUST NOT include the "c-s" floorctl attribute value in an offer or or	
answer, but MUST accept the attribute value in offer and process it	
as equivalent to "c-only s-only" (or "s-only c-only").  As as a	
result, each endpoint will take the same role for each BFCP-	
controlled media stream assocaited with the BFCP stream.
NEW
An implementation compliant to this specification	
MUST NOT include the "c-s" floorctl attribute value in an offer or in	
an answer, but MUST accept the attribute value in an offer and process it	
as equivalent to "c-only s-only" (or "s-only c-only").  As a	
result, each endpoint will take the same role for each BFCP-	
controlled media stream associated with the BFCP stream.

Section 14
s/ associated with support BFCP/ associated with support of BFCP

Cheers,
Charles

-----Original Message-----
From: Christer Holmberg <[email-masked]>
Date: Wednesday, September 26, 2018 at 12:19 PM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25
Resent-From: <[email-masked]>
Resent-To: Gonzalo Camarillo <[email-masked]>, <[email-masked]>, Christer Holmberg <[email-masked]>, Charles Eckel <[email-masked]>, Keith Drage <[email-masked]>, <[email-masked]>, Adam Roach <[email-masked]>, <[email-masked]>, Mary Barnes <[email-masked]>
Resent-Date: Wednesday, September 26, 2018 at 12:19 PM

    Hi,

    
    Regards,
    
    Christer

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 26 Sep 2018 11:16:25 +0000

Hi,

>    s/backward interoperability/backward interoperable
  
My intention was to use "backward compatible", similar to 'TCP/BFCP'. I will fix that.

>    s/in [RFC4571]. with DTLS/in [RFC4571], with DTLS

Will fix.
  
>    controlled media stream associated with the BFCP stream.
  
Looks good. Will modify as suggested.

>    s/ associated with support BFCP/ associated with support of BFCP
  
Will fix.

Regards,

Christer

    -----Original Message-----
    From: Christer Holmberg <[email-masked]>
    Date: Wednesday, September 26, 2018 at 12:19 PM
    To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
    Subject: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25
    Resent-From: <[email-masked]>
    Resent-To: Gonzalo Camarillo <[email-masked]>, <[email-masked]>, Christer Holmberg <[email-masked]>, Charles Eckel <[email-masked]>, Keith Drage <[email-masked]>, <[email-masked]>, Adam Roach <[email-masked]>, <[email-masked]>, Mary Barnes <[email-masked]>
    Resent-Date: Wednesday, September 26, 2018 at 12:19 PM
    
        Hi,

        
        Regards,
        
        Christer

---

From: Mary Barnes <[email-masked]>
Date: Wed, 26 Sep 2018 08:47:39 -0500

We definitely need Paul Kyzivat to review and ensure that he's okay with
the changes, since he did the SDP directorate review.  Note, he mentioned
in a posting that he thought the changes warranted another last call and I
don't recall seeing a response to that.   As shepherd, I kindof agree,
although I'm okay as long as everyone that reviewed previously confirms on
the list that they have reviewed the changes and think the doc is ready to
go.

Regards,
Mary.

On Wed, Sep 26, 2018 at 5:34 AM Charles Eckel (eckelcu) <[email-masked]>
wrote:

> The changes are significant. I ask that everyone, not just Adam and those
> who commented on the changes, review the updated draft and share their
> confirmation of the changes and/or any remaining concerns.
>
> Cheers,
> Charles
>
> To: "[email-masked]" <
> [email-masked]>, "[email-masked]" <
> [email-masked]>
> Resent-To: Gonzalo Camarillo <[email-masked]>, <
> [email-masked]>, Christer Holmberg <
> [email-masked]>, Charles Eckel <[email-masked]>, Keith
> Drage <[email-masked]>, <[email-masked]>, Adam Roach <
> [email-masked]>, <[email-masked]>, Mary Barnes <
> [email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 26 Sep 2018 15:42:22 +0000

Hi,

I have no problem with a WGLC, but I don’t think we would get any additional reviewers.

But, in any case I agree that Paul should take a look.

Regards,

Christer

Sent from my iPhone

On 26 Sep 2018, at 16.46, Mary Barnes <[email-masked]<mailto:[email-masked]>> wrote:

We definitely need Paul Kyzivat to review and ensure that he's okay with the changes, since he did the SDP directorate review.  Note, he mentioned  in a posting that he thought the changes warranted another last call and I don't recall seeing a response to that.   As shepherd, I kindof agree, although I'm okay as long as everyone that reviewed previously confirms on the list that they have reviewed the changes and think the doc is ready to go.

Regards,
Mary.

On Wed, Sep 26, 2018 at 5:34 AM Charles Eckel (eckelcu) <[email-masked]<mailto:[email-masked]>> wrote:
Thanks for submitting this updated version, Christer.
The changes are significant. I ask that everyone, not just Adam and those who commented on the changes, review the updated draft and share their confirmation of the changes and/or any remaining concerns.

Cheers,
Charles

-----Original Message-----
From: Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, September 26, 2018 at 12:19 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Gonzalo Camarillo <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Christer Holmberg <[email-masked]<mailto:[email-masked]>>, Charles Eckel <[email-masked]<mailto:[email-masked]>>, Keith Drage <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Adam Roach <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Mary Barnes <[email-masked]<mailto:[email-masked]>>
Resent-Date: Wednesday, September 26, 2018 at 12:19 PM

    Hi,

    Regards,

    Christer

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 27 Sep 2018 18:43:55 +0000

I agree, and I have added Paul explicitly to this thread just in case he is not monitoring the bfcpbis alias closely.

Cheers,
Charles

From: Christer Holmberg <[email-masked]>
Date: Wednesday, September 26, 2018 at 5:42 PM
To: Mary Barnes <[email-masked]>
Cc: Charles Eckel <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25

Hi,

Regards,

Christer

Sent from my iPhone

Regards,
Mary.

Cheers,
Charles

-----Original Message-----
From: Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, September 26, 2018 at 12:19 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Draft new version: draft-ietf-bfcpbis-rfc4583bis-25
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Gonzalo Camarillo <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Christer Holmberg <[email-masked]<mailto:[email-masked]>>, Charles Eckel <[email-masked]<mailto:[email-masked]>>, Keith Drage <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Adam Roach <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Mary Barnes <[email-masked]<mailto:[email-masked]>>
Resent-Date: Wednesday, September 26, 2018 at 12:19 PM

    Hi,

    Regards,

    Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 28 Sep 2018 11:34:02 -0400

On 9/26/18 9:47 AM, Mary Barnes wrote:
> the changes, since he did the SDP directorate review. 

I just did a review of the changes since my review of -22, looking at 
the SDP aspects.

Thanks for updating the format of the SDP specifications!

* General comment:

I have a slight preference for doing references to rules defined in 
other documents differently. E.g.:

    DIGIT = <DIGIT defined in [RFC5234]>

rather than:

    ;DIGIT is defined in [RFC5234]

The advantage is that when mechanically verifying the SDP, the comment 
form results in an undefined symbol while the <> form doesn't. (No, I 
didn't mechanically verify the SDP this time.)

* Section 5.2:

Running both confid and userid into a single subsection is confusing 
rather than helpful. Can you split them please?

* Section 5.3:

The following is wrong:

    floor-id = "a=floorid:" 1*DIGIT SP "mstrm:" token *(SP token)

A minimal fix would be:

    floor-id = 1*DIGIT SP "mstrm:" token *(SP token)

But that reads funny. ISTM the string of digits is the floor-id and the 
sequence of tokens is something else. The attribute seems to be poorly 
named, but you probably can't change it now. I don't have a good 
suggestion on how to improve it.

* Section 5.4:

As in 5.3, the following:

    bfcp-version = "a=bfcpver:" version *(SP version)

ought to be:

    bfcp-version = version *(SP version)

> Note, he 
> mentioned  in a posting that he thought the changes warranted another 
> last call and I don't recall seeing a response to that.   As shepherd, I 
> kindof agree, although I'm okay as long as everyone that reviewed 
> previously confirms on the list that they have reviewed the changes and 
> think the doc is ready to go.

I'll leave that to you all to decide.

	Thanks,
	Paul